<?php
namespace Teknisa\MAN\Controllers;

use Teknisa\MAN\Utilities;
use Teknisa\MAN\Services;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class CombinacoesProdutos{
    
    protected $service;
    protected $util;
        
    public function __construct (Services\CombinacoesProdutos $service, Utilities\Util $util) {
        $this->util = $util;
        $this->service = $service;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $conditions = $this->util->getParamsAsArray($request);
        $conditions = $this->util->buildParams('CDFILIAL',$conditions);
        $conditions = $this->util->buildParams('CDARVPROD',$conditions);
        $response->addDataSet(new DataSet("vnd71000_combinacoesDeProdutos", $this->service->find($conditions)));
    }
}