<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelatoriosTotAcProdComb {

    protected $RelatoriosTotAcProdCombServices;
    protected $utilService;

    public function __construct (Services\RelatoriosTotAcProdComb $RelatoriosTotAcProdCombServices, Utilities\Util $utilService) {
        $this->RelatoriosTotAcProdCombServices = $RelatoriosTotAcProdCombServices;
        $this->utilService = $utilService;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        set_time_limit(120);
        $result = [];
        $conditions = $this->utilService->getParamsAsArray($request);

        if(isset($conditions['CDFILIAL']) && !empty($conditions['CDFILIAL'])) {
            $conditions = $this->RelatoriosTotAcProdCombServices->buildParamsFaturamento($conditions);
            $result = $this->RelatoriosTotAcProdCombServices->find($conditions);
        }

        $response->addDataSet(new DataSet("vnd55023_RelTotAcProdProm", $result));
    }
}